#!/bin/sh

if [ $# -ne 2 ]; then
    echo "Error[postLM.sh]: - invalid parameter"
    exit 1
fi
TSLM_USR_NAME=$1
SCS_LOG_DIR=$2
if [ ! -d $SCS_LOG_DIR ]; then
    mkdir -p $SCS_LOG_DIR
fi
echo "Giving user \"$TSLM_USR_NAME\" access to SCS log directory \"$SCS_LOG_DIR\"..."
grep "^$TSLM_USR_NAME:" /etc/passwd > /dev/null
if [ $? = 0 ]; then
    SCS_LOG_DIR_GROUP=`ls -ld $SCS_LOG_DIR | awk '{print $4}'`
    grep "^$SCS_LOG_DIR_GROUP:" /etc/group > /dev/null
    if [ $? = 0 ]; then
	echo "The group of $SCS_LOG_DIR is \"$SCS_LOG_DIR_GROUP\". Adding user \"$TSLM_USR_NAME\" to group \"$SCS_LOG_DIR_GROUP\"..."
	TSLM_USR_GROUPS=`perl -n -e 'END {print join(",",@groups)} push(@groups,$1) if /^([^:]*):.*'$TSLM_USR_NAME'/' < /etc/group`
	/usr/sbin/usermod -G $TSLM_USR_GROUPS,$SCS_LOG_DIR_GROUP $TSLM_USR_NAME > /dev/null 2>&1
	if [ $? = 0 ]; then
	    echo "Done!"
	    echo "Giving group \"$SCS_LOG_DIR_GROUP\" access permissions to \"$SCS_LOG_DIR\"..."
	    chmod g+rwx $SCS_LOG_DIR
	    if [ $? = 0 ];then
		echo "Done!"
	    else
		echo "Failed!"
		exit 1
	    fi
	else
	    echo "Failed!"
	    exit 1
	fi
    else
	echo "Failed to get group name of \"$SCS_LOG_DIR\"."
	exit 1
    fi
else
    echo "User $TSLM_USR_NAME does not exist."
    exit 1
fi	    
exit 0
