#!/usr/bin/perl
#-----------------------------------------------------------------------
# Licensed Materials - Property of IBM
#
# IBM Tape System Library Manager
#
# (C) Copyright IBM Corp. 2004, 2018 All Rights Reserved
#-----------------------------------------------------------------------
#
# @version 1.2  ermm/server/source/hdm/Generic/UnixLibs.pm, ermm, ERMM-1.3.2.1, rel-1.2.0.3 4/12/18 23:26:40
#
# @brief
#
# Change activities:
#     - 2017-10-30: Initial version
#     - 2018-04-13: Multi Instance
#
#-----------------------------------------------------------------------
package UnixLibs;
use 5.005;
use strict;
use POSIX;
use FindBin;
use genLogFiles;
our $TSLM_HDMLIBDIR=$FindBin::Bin;
our $TSLM_LIBDIR=substr($TSLM_HDMLIBDIR,0,rindex($TSLM_HDMLIBDIR,"/"));
our $TSLM_BASEDIR=substr($TSLM_LIBDIR,0,rindex($TSLM_LIBDIR,"/"));;
our $TSLM_BINDIR=$TSLM_BASEDIR."/bin";
our $TSLM_CONFDIR=$TSLM_BASEDIR."/conf";
if ( ! -e $TSLM_BINDIR."/ermmGenHDM" ){
    $TSLM_BASEDIR="/opt/IBM/ermm";
    $TSLM_BINDIR="/opt/IBM/ermm/bin";
    $TSLM_LIBDIR="/opt/IBM/ermm/lib";
    $TSLM_HDMLIBDIR="/opt/IBM/ermm/lib/hdm";
    $TSLM_CONFDIR="/opt/IBM/ermm/conf";
}
sub tslmLevel() {
    my $value;
    my $leveldir = $TSLM_BASEDIR."/codelvel";
    if (opendir(LEVELDIR, $leveldir)){
        my @levelfiles=readdir(LEVELDIR);
        closedir(LEVELDIR);
        foreach my $file(@levelfiles){
            if ($file =~ /\.lvl/){
                open(INFILE, "$leveldir/$file");
                my $cnt;
                while (<INFILE>){
                    chomp;
                    $cnt .= "\"::\" ";
                    my $_cnt="\"".$_."\" ";
                    $_cnt =~ s/:/\" \"/g;
                    $cnt .= $_cnt;
                }
                close (INFILE);
                $value.=$cnt;
            }
        }
    }
    return $value;
}
1;
