#!/usr/bin/perl
#-----------------------------------------------------------------------
# Licensed Materials - Property of IBM
#
# IBM Tape System Library Manager
#
# (C) Copyright IBM Corp. 2004, 2017 All Rights Reserved
#-----------------------------------------------------------------------
#
# @version 1.1  ermm/server/source/hdm/Generic/WinLibs.pm, ermm, ERMM-1.3.2.1, rel-1.2.0.2 10/17/17 00:53:23
#
# @brief
#
# Change activities:
#     - 2017-10-30: Initial version
#
#-----------------------------------------------------------------------
package WinLibs;
use 5.005;
use strict;
use POSIX;
use genLogFiles;
use if $^O =~ /.*win32.*/i, "Win32::TieRegistry";

sub tslmLevel() {
    my $value;
    if ($^O =~ /.*win32.*/i) {
        $Registry->Delimiter("\\");
        my %tslmcomp=(  "ELM" => "TSLM External Library Manager",
                        "CLI" => "TSLM Command Line Interface",
                        "HDM" => "TSLM Host Drive Manager",
                        "PWGEN" => "TSLM pwgen");
        my $key_head = "HKEY_LOCAL_MACHINE\\SOFTWARE\\IBM\\";
        foreach my $compkey ( keys %tslmcomp ){
            my $key=$key_head.$compkey."\\TSLM_LEVEL";
            my $compname=$tslmcomp{$compkey};
            my $_cnt=$Registry->{$key};
            if ( $_cnt ne "" ){
                my $cnt .= "\"::\" ";
                $cnt .= "\"$compname\" \"$_cnt\"";
                $value.=$cnt;
            }
        }
    }
    return $value;
}
1;

