#!/usr/bin/perl
#-----------------------------------------------------------------------
# Licensed Materials - Property of IBM
#
# IBM Tape System Library Manager
#
# (C) Copyright IBM Corp. 2004, 2013 All Rights Reserved
#
# US Government Users Restricted Rights - Use,  duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#-----------------------------------------------------------------------
#
# @version 1.6 - 13/07/25 23:33:53
#
# @brief en_us - default resorce file for HDM NLS support
#
#
#-----------------------------------------------------------------------

package nls::hdm_L10N::hdm_en_us;
use base qw(nls::hdm_L10N);

%Lexicon = (

 '_COPYRIGHT' => << 'ENDCOPYRIGHT',
IBM Tape System Library Manager
Licensed Materials - Property of IBM
(C) Copyright IBM Corp. 2004, 2013 All Rights Reserved

ENDCOPYRIGHT

'_USGOVRESTRICTED' => << 'ENDUSGOVRESTRICTED',
US Government Users Restricted Rights - Use, duplication or
disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
ENDUSGOVRESTRICTED

'_USAGE_GENHDMCONF' => << 'EOGENHDMCONF',

ermmDriveConfig -- Create HDM Drive Configuration File

 Usage:

    ermmDriveConfig ~[-ibm~] ~[-h~] ~[-q~] ~[-n~] \<filename\>

 Options:

    filename        Output filename (default: /opt/IBM/ermm/conf/hdmdrive.cfg)
    -ibm            IBM atape driver will be used by HDM
    -n|nocopyright  Surpress copyright statement
    -q|quiet        Quiet. No output to stdout
    -h|help|?       Print this help page

EOGENHDMCONF

'_USAGE_FINDDRIVE' => << 'EOFINDDRIVE',

ermmFindDrive -- Find tape drive with mounted cartridge.

 Usage:

    ermmFindDrive ~[-tsm label~] ~[-conf config~] ~[-help~]

 Options:

    -tsm   Check for TSM label.   (default: don\'t check for TSM label)
    -conf  HDM config file        (default: /opt/IBM/ermm/conf/hdmdrive.cfg)
    -help  This help text.

EOFINDDRIVE

'NOT_READY' => " Not ready.\n",

'CART_LOADED' => " Cartridge loaded.",

'NO_TSM_LABEL' => " No valid TSM label.\n",

'TSM_LABEL_FOUND' => " TSM label found.\n",

'OTHER_TSM_LABEL' => " Other TSM label: [_1].\n",

'_SERIAL' => "Serial:",

'EMM3202E' => "EMM3202E: [_1] must be executed by root.\nYou are currently logged in as \"[_2]\".\n",

'EMM3203E' => "EMM3203E: Could not stop ermmGenHDM.\n",

'EMM3204E' => "EMM3204E: Could not stop ermmGenHDM process.\n",

'EMM3205E' => "EMM3205E: ermmGenHDM process not found.\n",

'EMM3206E' => "EMM3206E: Environment variable [_1] not defined!\n",

'EMM3207E' => "EMM3207E: Cannot open config file $outputFile for writing.",

'EMM3208E' => "EMM3208E: Environment variable IBMERMMPWF not defined!\n",

'HDMRESTART' => "ermmGenHDM will restart automatically.\n",

'HDMSTOPPED' => "Stopped.\n",

'HDMSTOPPING' => "Stopping ermmGenHDM...\n",

'HDMVMSG1001I' => "Successfully generated [_1].\n",

'HDMVMSG1002I' => "Unlinking invalid device [_1].\n",

'HDMVMSG1003I' => "Creating scsictl device file [_1].\n",

'HDMVMSG1004E' => "Failed to execute: [_1].\n",

'HDMVMSG1005I' => sub {
                      my $var3 = [_3] ? 'with' : 'without';
                      return "mknod [_1] died with signal [_2], $var3 coredump.\n";
                      },

'HDMVMSG1006I' => "mknod [_1] exited with value [_2].\n",

'HDMVMSG1007E' => "The Generic SCSI utilities package (sg3_utils) is not installed. Unable to locate tool \'sg_inq\'.\n"

);

sub lookup_failure_handler {
      my $phrase = shift;
          my $messageID = shift;
          my $MsgLookupError = "EMM3220E";
          print "$MsgLookupError: Message ID \'$messageID\' not found in catalog.\n";
      }

1;
