#!/usr/bin/perl -w
#-----------------------------------------------------------------------
# Licensed Materials - Property of IBM
#
# IBM Tape System Library Manager
#
# (C) Copyright IBM Corp. 2004, 2013 All Rights Reserved
#
# US Government Users Restricted Rights - Use,  duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#-----------------------------------------------------------------------
#
# @version 1.1 - 13/01/31 18:59:41
#
# Sample scripts for TSLM
#
#-----------------------------------------------------------------------
my $ermmtool = "/opt/IBM/ermm/bin/ermmtool";
my $volumeList = "./volumeList_Kanda.txt";
my $TSMApp = "TSM";
my $TSMInstance = "TSMINST";
my $LIB = "TSLM";

my $verbose = 1;
my @TSLMVols;
my @TSMVols;

# match the volume list in TSLM with TSM
print "\nMatching volumes\n";
@TSLMVols = ();
@TSMVols = ();
print "\nMatching volumes on library $LIB\n";

# Get the TSLM volumes 
if ($verbose == 1) {
    print "$ermmtool -c $TSMApp -i $TSMInstance lsvol -s -hdr=off\n";
}
@TSLMVols = `$ermmtool -c $TSMApp -i $TSMInstance lsvol -s -hdr=off`;
@TSMVols = `grep -v Scratch $volumeList | cut -d',' -f1`;

matchLists(\@TSLMVols, \@TSMVols);


sub matchLists {
    my $Reftslmvols = shift;
    my $Reftsmvols = shift;
    
    my $verbose = 1;
    my $found = 0;
    
    my $numTslmvols = @$Reftslmvols;
    my $numTSMVols = @$Reftsmvols;
    
    print "TSLMVols: $numTslmvols, TSMVols: $numTSMVols\n";
    if ($numTslmvols != $numTSMVols) {
	print "There is a mismatch of volumes !\n";
    } 
    
    # Check if the volume names are identical
  LABEL:	foreach $tsmvolume (@$Reftsmvols) {
      $found = 0;
      chomp $tsmvolume;
      print "Looking for TSMVolume $tsmvolume in TSLM ...";
      foreach $tslmvolume (@$Reftslmvols) {
	  chomp $tslmvolume;
	  if ($tsmvolume eq $tslmvolume) {
	      $found = 1;
	      print " found !\n";
	      next LABEL;	# continue with next TSM Volume
	  }
      }
      if ($found == 0) {
	  print " NOT found in TSLM !\n";
      }
  } # end foreach
} # end sub matchLists

